# Files Monitor

[![NPM Downloads][downloads-image]][downloads-url]

## Description

Monitor files and inform if they changed.

## Installation

```sh
npm install -g files-monitor
```

## Using

* create config file;
* run `filesmon`.

## Config

Create config file `.filesmonitorrc` in your home directory (for Windows - file `filesmonitorrc`) with JSON content:

* `files` - array with files full path;
* `email` - string with email to inform (default `sendmail` params used);
* `command` - string with command to run if some file changed;
* `checkInterval` - number with checking interval in seconds.

Sample:

```json
{
  "files": [
    "/home/username/.ssh/id_rsa",
    "/home/username/.ssh/id_rsa.pub",
    "/home/username/.ssh/config",
    "/home/username/.ssh/known_hosts",
    "/home/username/.bashrc",
    "/home/username/.profile"
  ],
  "email": "test@example.com",
  "command": "",
  "checkInterval": 10
}
```

## License

The MIT License (MIT)

Copyright © 2017 - 2021 Volodymyr Sichka

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

[downloads-image]: https://img.shields.io/npm/dm/files-monitor.svg
[downloads-url]: https://npmjs.org/package/files-monitor
